/**
 * @module dixim
 * @submodule server
 */
dixim.namespace('dixim.server');

/**
 * @module server
 * @submodule parental-edit-pin-view
 */

(function() {
var ParentalEditPinView;
var prototype;
var superConstructor;
var _ = dixim.ctt.ResourceBundle.get;
var Event = dixim.event.Event;
var EventTarget = dixim.event.EventTarget;
var UiUtils = dixim.common.UiUtils;
var $ = dixim.ctt.jQuery;

/**
 * @class ParentalEditPinView
 * @constructor
 * @param {Object} configs
 */
ParentalEditPinView = function(configs) {
    EventTarget.call(this);
    this._initialize(configs);
};

dixim.inherit(ParentalEditPinView, EventTarget);
dixim.server.ParentalEditPinView = ParentalEditPinView;
prototype = ParentalEditPinView.prototype;
superConstructor = ParentalEditPinView.superConstructor;

var APPLY = 'apply';
var PREV = 'prev';

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
    configs = configs || {};

    this._title = _('server_parental_menu_edit_pin_title');
};

/**
 * @method show
 */
prototype.show = function() {
    $('.rootPage').html([
        '<div class="contents" data-enhance="false">',
        '<h2 id="tit_page">', this._title, '</h2>',
        '<div class="contents_inner">',
        '<div class="dl_tbl">',
        '<dl>',
        '<dt>', _('server_parental_edit_pin_new_name'), '</dt>',
        '<dd>',
        '<p>', _('server_parental_edit_pin_new_detail'), '</p>',
        '<input id="parental_code_new" type="text" maxlength="4" />',
        '</dd>',
        '</dl>',
        '<dl>',
        '<dt>', _('server_parental_edit_pin_confirm_name'), '</dt>',
        '<dd>',
        '<input id="parental_code_confirm" type="text" maxlength="4" />',
        '</dd>',
        '</dl>',
        '</div>',
        '</div>',
        '</div>',
    ].join(''));

    UiUtils.cleanActionSettingBar();
    UiUtils.cleanActionBar();
    UiUtils.setActionBar('ab_apply', dixim.proxy(this._clickApply, this));

    $('.art_tit').text(this._title);
    $('.btn_prev').show().one('click', dixim.proxy(this._clickPrev, this));
};

/**
 * @method hide
 */
prototype.hide = function() {
    $('.rootPage').empty();
};

prototype._clickApply = function() {
    var data = {};

    data.newCode = $('#parental_code_new').val();
    data.confirmCode = $('#parental_code_confirm').val();
    this.dispatchEvent(new Event(APPLY, data));
};

prototype._clickPrev = function() {
    this.dispatchEvent(new Event(PREV));
};

}());
