/**
 * @module dixim
 * @submodule vdms
 */
dixim.namespace('dixim.vdms');

/**
 * @module vdms
 * @submodule deletion-dialog-view
 */

(function() {
var DeletionDialogView;
var prototype;
var superConstructor;
var _ = dixim.ctt.ResourceBundle.get;
var DeletionModalDialogView = dixim.common.DeletionModalDialogView;

/**
 * @class DeletionDialogView
 * @constructor
 * @param {Object} configs
 */
DeletionDialogView = function(configs) {
    DeletionModalDialogView.call(this, configs);
};

dixim.inherit(DeletionDialogView, DeletionModalDialogView);
dixim.vdms.DeletionDialogView = DeletionDialogView;
prototype = DeletionDialogView.prototype;
superConstructor = DeletionDialogView.superConstructor;

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
    configs = configs || {};

    configs.id = configs.id || '';
    configs.id = [configs.id, 'deletion-dialog-'].join('');

    configs.contents = configs.contents || [];
    configs.doubleDialog = true;
    configs.title = _('vdms_aggregation_operation_delete');
    configs.description = _('vdms_aggregation_delete_description', configs.contents.length);
    configs.nameKey = 'friendlyName';

    superConstructor.prototype._initialize.call(this, configs);
};

}());
